> For the complete documentation index, see [llms.txt](https://integrations.impact.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://integrations.impact.com/brand-api-reference/brand-api-reference-v12/reference/catalogs/catalogs.md).

# Catalogs

## List All Catalogs

> Returns a list of all your product catalogs.

```json
{"openapi":"3.1.0","info":{"title":"Brand API - Product Catalogs","version":"v12"},"servers":[{"url":"https://api.impact.com"}],"security":[{"basicAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic","description":"Use your AccountSID as the username and AuthToken as the password."}},"schemas":{"Catalog":{"type":"object","properties":{"Id":{"type":"string","description":"Unique identifier for the catalog (the impact.com Catalog Id)."},"Name":{"type":"string","description":"Name of the catalog."},"Filename":{"type":"string","description":"Name of the file that contains the catalog."},"AdvertiserId":{"type":"integer","description":"Id of the brand (formerly known as advertiser) that owns the catalog."},"CampaignId":{"type":"integer","description":"Id of the program (formerly known as campaign) to which the catalog belongs."},"Status":{"type":"string","enum":["ACTIVE","CLOSED","DEACTIVATED","PENDING"],"description":"State of use the catalog is in (e.g., `ACTIVE`, `CLOSED`, `DEACTIVATED`, `PENDING`)."},"NumberOfItems":{"type":"integer","description":"Number of items in the catalog."},"DateLastUpdated":{"type":"string","format":"date-time","description":"Date and time the catalog was last updated (ISO 8601)."},"Currency":{"type":"string","description":"Currency in which the items' prices are listed. See ISO 4217."},"ServiceAreas":{"type":"array","items":{"type":"string"},"description":"List of geographical areas targeted by the catalog."},"UploadMethod":{"type":"string","enum":["DIRECT_UPLOAD","IMPACT_RADIUS_FTP_SERVER","IR_SFTP","PULL_FROM_URL","SHOPPING_CART_PULL"],"description":"How the catalog was uploaded (e.g., `DIRECT_UPLOAD`, `IR_SFTP`, `SHOPPING_CART_PULL`)."},"ShoppingCart":{"type":"object","properties":{"ShoppingCartType":{"type":"string","enum":["SHOPIFY","MAGENTO","BIGCOMMERCE","WOOCOMMERCE","SHOPLAZZA"]},"BaseUrl":{"type":"string"},"CollectionIds":{"type":"array","items":{"type":"string"}},"CollectionTitles":{"type":"array","items":{"type":"string"}}},"description":"Shopping-cart connection details. Only returned when `UploadMethod` is `SHOPPING_CART_PULL`."},"ItemsUri":{"type":"string","description":"URI to view this catalog's items."},"Uri":{"type":"string","description":"Direct URI to this catalog."}}}}},"paths":{"/Advertisers/{AccountSID}/Catalogs":{"get":{"summary":"List All Catalogs","description":"Returns a list of all your product catalogs.","operationId":"listCatalogs","tags":["Catalogs"],"parameters":[{"name":"AccountSID","in":"path","required":true,"schema":{"type":"string"},"description":"The unique identifier for the account."},{"name":"CampaignId","in":"query","schema":{"type":"integer"},"description":"Filters catalogs by the program (campaign) ID."},{"name":"Status","in":"query","schema":{"type":"string","enum":["ACTIVE","CLOSED","DEACTIVATED","PENDING"]},"description":"Filters catalogs by their status."}],"responses":{"200":{"description":"An array of catalog objects.","content":{"application/json":{"schema":{"type":"object","properties":{"Catalogs":{"type":"array","items":{"$ref":"#/components/schemas/Catalog"}}}}}}}}}}}}
```

## Retrieve a Catalog

> Retrieves the details of an existing catalog.

```json
{"openapi":"3.1.0","info":{"title":"Brand API - Product Catalogs","version":"v12"},"servers":[{"url":"https://api.impact.com"}],"security":[{"basicAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic","description":"Use your AccountSID as the username and AuthToken as the password."}},"schemas":{"Catalog":{"type":"object","properties":{"Id":{"type":"string","description":"Unique identifier for the catalog (the impact.com Catalog Id)."},"Name":{"type":"string","description":"Name of the catalog."},"Filename":{"type":"string","description":"Name of the file that contains the catalog."},"AdvertiserId":{"type":"integer","description":"Id of the brand (formerly known as advertiser) that owns the catalog."},"CampaignId":{"type":"integer","description":"Id of the program (formerly known as campaign) to which the catalog belongs."},"Status":{"type":"string","enum":["ACTIVE","CLOSED","DEACTIVATED","PENDING"],"description":"State of use the catalog is in (e.g., `ACTIVE`, `CLOSED`, `DEACTIVATED`, `PENDING`)."},"NumberOfItems":{"type":"integer","description":"Number of items in the catalog."},"DateLastUpdated":{"type":"string","format":"date-time","description":"Date and time the catalog was last updated (ISO 8601)."},"Currency":{"type":"string","description":"Currency in which the items' prices are listed. See ISO 4217."},"ServiceAreas":{"type":"array","items":{"type":"string"},"description":"List of geographical areas targeted by the catalog."},"UploadMethod":{"type":"string","enum":["DIRECT_UPLOAD","IMPACT_RADIUS_FTP_SERVER","IR_SFTP","PULL_FROM_URL","SHOPPING_CART_PULL"],"description":"How the catalog was uploaded (e.g., `DIRECT_UPLOAD`, `IR_SFTP`, `SHOPPING_CART_PULL`)."},"ShoppingCart":{"type":"object","properties":{"ShoppingCartType":{"type":"string","enum":["SHOPIFY","MAGENTO","BIGCOMMERCE","WOOCOMMERCE","SHOPLAZZA"]},"BaseUrl":{"type":"string"},"CollectionIds":{"type":"array","items":{"type":"string"}},"CollectionTitles":{"type":"array","items":{"type":"string"}}},"description":"Shopping-cart connection details. Only returned when `UploadMethod` is `SHOPPING_CART_PULL`."},"ItemsUri":{"type":"string","description":"URI to view this catalog's items."},"Uri":{"type":"string","description":"Direct URI to this catalog."}}}}},"paths":{"/Advertisers/{AccountSID}/Catalogs/{CatalogId}":{"get":{"summary":"Retrieve a Catalog","description":"Retrieves the details of an existing catalog.","operationId":"getCatalogById","tags":["Catalogs"],"parameters":[{"name":"AccountSID","in":"path","required":true,"schema":{"type":"string"},"description":"The unique identifier for the account."},{"name":"CatalogId","in":"path","required":true,"schema":{"type":"integer"},"description":"The unique impact.com ID for the catalog."}],"responses":{"200":{"description":"A catalog object.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Catalog"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://integrations.impact.com/brand-api-reference/brand-api-reference-v12/reference/catalogs/catalogs.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
